//
// math.cpp : Defines the entry point for the console application.
// A program that demonstrates the use of several
// math functions.
// Copyright (c) Chris H. Pappas and William H. Murray, 2001
//

#include "stdafx.h"
#include <iostream>
#include <iomanip>
#include <cmath>

using namespace std;

#define PI 3.14159265359

int main(int argc, char* argv[] )
{
  int i;
  double x,y,z,ang;

  for( i = 0; i <= 45; i++ ) {
    ang=PI*i/180;  // convert degrees to radians
    x = sin(ang);
    y = cos(ang);
    z = tan(ang);
    // formatting output columns
    cout << setiosflags(ios::left) << setw(8)
         << setiosflags(ios::fixed) << setprecision(6);
    // data to print
    cout << i << "\t" << x << "\t" <<
            y << "\t" << z << "\n";
  } 

  return (0);
}